| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
cv::xfeatures2d::BriefDescriptorExtractor Class Referenceabstract
Extra 2D Features Framework » Experimental 2D Features Algorithms

Class for computing BRIEF descriptors described in [47] . More...

`#include <opencv2/xfeatures2d.hpp>`

Collaboration diagram for cv::xfeatures2d::BriefDescriptorExtractor:

## Public Member Functions
String | getDefaultName () const CV_OVERRIDE
virtual int | getDescriptorSize () const =0
virtual bool | getUseOrientation () const =0
virtual void | setDescriptorSize (int bytes)=0
virtual void | setUseOrientation (bool use_orientation)=0
Public Member Functions inherited from cv::Feature2D
virtual | ~Feature2D ()
virtual void | compute (InputArray image, std::vector< KeyPoint > &keypoints, OutputArray descriptors)
| Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant).
virtual void | compute (InputArrayOfArrays images, std::vector< std::vector< KeyPoint > > &keypoints, OutputArrayOfArrays descriptors)
virtual int | defaultNorm () const
virtual int | descriptorSize () const
virtual int | descriptorType () const
virtual void | detect (InputArray image, std::vector< KeyPoint > &keypoints, InputArray mask=noArray())
| Detects keypoints in an image (first variant) or image set (second variant).
virtual void | detect (InputArrayOfArrays images, std::vector< std::vector< KeyPoint > > &keypoints, InputArrayOfArrays masks=noArray())
virtual void | detectAndCompute (InputArray image, InputArray mask, std::vector< KeyPoint > &keypoints, OutputArray descriptors, bool useProvidedKeypoints=false)
virtual bool | empty () const CV_OVERRIDE
| Return true if detector object is empty.
virtual void | read (const FileNode &) CV_OVERRIDE
| Reads algorithm parameters from a file storage.
void | read (const String &fileName)
void | write (const String &fileName) const
virtual void | write (FileStorage &) const CV_OVERRIDE
| Stores algorithm parameters in a file storage.
void | write (FileStorage &fs, const String &name) const
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state.
virtual void | save (const String &filename) const
void | write (FileStorage &fs, const String &name) const

## Static Public Member Functions
static Ptr< BriefDescriptorExtractor > | create (int bytes=32, bool use_orientation=false)
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file.
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String.
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node.

## Additional Inherited Members
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Class for computing BRIEF descriptors described in [47] .

Parameters

  bytes | legth of the descriptor in bytes, valid values are: 16, 32 (default) or 64 .
  use_orientation | sample patterns using keypoints orientation, disabled by default.

## Member Function Documentation

## ◆ create()

static Ptr< BriefDescriptorExtractor > cv::xfeatures2d::BriefDescriptorExtractor::create | ( | int | bytes = 32,
|  | bool | use_orientation = false )
| static

Python:
| cv.xfeatures2d.BriefDescriptorExtractor.create( | [, bytes[, use_orientation]] | ) -> | retval
| cv.xfeatures2d.BriefDescriptorExtractor_create( | [, bytes[, use_orientation]] | ) -> | retval

## ◆ getDefaultName()

String cv::xfeatures2d::BriefDescriptorExtractor::getDefaultName | ( |  | ) | const
| virtual

Python:
| cv.xfeatures2d.BriefDescriptorExtractor.getDefaultName( |  | ) -> | retval

Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string.

Reimplemented from cv::Feature2D.

## ◆ getDescriptorSize()

virtual int cv::xfeatures2d::BriefDescriptorExtractor::getDescriptorSize | ( |  | ) | const
| pure virtual

Python:
| cv.xfeatures2d.BriefDescriptorExtractor.getDescriptorSize( |  | ) -> | retval

## ◆ getUseOrientation()

virtual bool cv::xfeatures2d::BriefDescriptorExtractor::getUseOrientation | ( |  | ) | const
| pure virtual

Python:
| cv.xfeatures2d.BriefDescriptorExtractor.getUseOrientation( |  | ) -> | retval

## ◆ setDescriptorSize()

virtual void cv::xfeatures2d::BriefDescriptorExtractor::setDescriptorSize | ( | int | bytes | ) |
| pure virtual

Python:
| cv.xfeatures2d.BriefDescriptorExtractor.setDescriptorSize( | bytes | ) -> | None

## ◆ setUseOrientation()

virtual void cv::xfeatures2d::BriefDescriptorExtractor::setUseOrientation | ( | bool | use_orientation | ) |
| pure virtual

Python:
| cv.xfeatures2d.BriefDescriptorExtractor.setUseOrientation( | use_orientation | ) -> | None

The documentation for this class was generated from the following file:

- opencv2/xfeatures2d.hpp